Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Does anyone have experience running Xen dom0 on a more recent kernel than the stock 2.6.18?

What host distro are you running? What release of Xen (or hg/git changeset)? What set of patches are you using on kernel source? (Has anyone got the pvops dom0 stuff working in production or is it better to stick with something like the SUSE patches?

Any other tips and tricks to running a more recent kernel version as dom0 would be helpful.

share|improve this question

4 Answers 4

up vote 3 down vote accepted

I run Debian Lenny with it's Xen kernel patches and userspace (Xen 3.2.something on a 2.6.26 kernel), works fine. No tips and tricks required.

share|improve this answer
1  
For the record Debian is using the SUSE patches: wiki.debian.org/Xen#Dom0.28host.29 –  TRS-80 Jul 19 '09 at 11:36

You might want to try OpenSolaris as a dom0 - their Xen is developed in sync with the kernel, so no need to rely on patches.

share|improve this answer
    
I actually spent yesterday going down this road. Managed to install OpenSolaris on a VM, then used AI to install it on a server. Got xVM installed and booting. Have yet to build any guests. The main problem I have is that it can't be a drop-in replacement for Linux on our existing servers because it can't use our existing LVM2 storage. Maybe some day down the road when we build new servers. –  thelsdj Jul 20 '09 at 17:46

I wanted to update this question and say that recent xen-unstable source compiles a 2.6.31 pvops kernel by default and my guess is that the next release of Xen will be using a much more recent kernel.

share|improve this answer
    
pvops sounds familiar. I think that might the kernel branch that rackspace/slicehost are using. Either way, rs/slicehost are using xen kernels up around 2.6.28, so it can be done. –  Lee B Apr 28 '10 at 20:12
    
Xen 4.0 has been released and uses pvops as default ! –  Antoine Benkemoun Apr 28 '10 at 20:56

We're currently on 2.6.31 from gentoo-xen-kernel for our Gentoo dom0 and domU hosts in production. Which, like a lot of others ports, are based on the patches from OpenSUSE.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.